pcl::Intensity32u Struct Reference
Module common

A point structure representing the grayscale intensity in single-channel images. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Intensity32u:

## Public Member Functions

| Intensity32u (const _Intensity32u &p)
| Intensity32u ()

## Friends

std::ostream & | operator<< (std::ostream &os, const Intensity32u &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Intensity32u
| PCL_ADD_INTENSITY_32U

## Detailed Description

A point structure representing the grayscale intensity in single-channel images.

Intensity is represented as a uint8_t value.

Definition at line 406 of file point_types.hpp.

## Constructor & Destructor Documentation

pcl::Intensity32u::Intensity32u | ( | const _Intensity32u & | p | ) |

inline

Definition at line 408 of file point_types.hpp.

pcl::Intensity32u::Intensity32u | ( |  | ) |

inline

Definition at line 413 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Intensity32u & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp